Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Catalog API provides endpoints to manage your in-game store catalog and process purchases. Use the endpoints to configure virtual items, virtual currencies, game keys, bundles, cart and payment flows, item attributes, and import items from external sources.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/catalog/
https://store.xsolla.com/api/
Operations
Operations
Operations

Create order with specified item purchased by virtual currencyClient-side

Request

Creates item purchase using virtual currency.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
item_skustringrequired

Item SKU.

Example: booster_mega_1
virtual_currency_skustringrequired

Virtual currency SKU.

Example: crystal
Query
platformstring

Publishing platform the user plays on: xsolla (default), playstation_network, xbox_live, pc_standalone, nintendo_shop, google_play, app_store_ios, android_standalone, ios_standalone, android_other, ios_other, pc_other.

Default "xsolla"
Enum"playstation_network""xbox_live""xsolla""pc_standalone""nintendo_shop""google_play""app_store_ios""android_standalone""ios_standalone""android_other"
Bodyapplication/json
custom_parametersobject or null(Cart-Payment_custom_parameters)[ 1 .. 200 ] properties

Your custom parameters represented as a valid JSON set of key-value pairs.
You can pass additional parameters through this field to configure anti-fraud filters. See Pay Station documentation.

Example: {"custom_parameters":{"string_param":"example","bool_param":true,"int_param":100,"null_param":null}}
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/payment/item/booster_mega_1/virtual/crystal?platform=playstation_network' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": {
      "array_param": [
        {
          "object1": {
            "param": "https://xsolla.com"
          },
          "property": {
            "int_property": 112,
            "string_property": "xsolla"
          }
        },
        {
          "object2": {
            "param": "https://developers.xsolla.com"
          },
          "property": {
            "int_property": 112,
            "string_property": "email@example.com"
          }
        }
      ],
      "object_param": {
        "key": "value"
      },
      "bool_param": true,
      "int_param": 100,
      "null_param": null
    }
  }'

Responses

Successful quick virtual purchase.

Bodyapplication/json
order_idinteger

Order ID.

Response
application/json
{ "order_id": 641 }
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations